Skip to main content
GET
Get insight

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

insight_id
string
required

Insight ID.

Query Parameters

project_id
string
required

Project ID.

Response

Insight

id
string
required
project_id
string
required
agent_name
string
required
title
string
required
fix_location_primary
enum<string>
required
Available options:
system_prompt,
tools,
harness
fix_location_secondary
enum<string> | null
required
Available options:
system_prompt,
tools,
harness,
null
confidence
enum<string>
required
Available options:
high,
medium,
low
priority
number
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
member_count
integer
required
Required range: x >= 0
analysis_problem
string
required
analysis_evidence
string
required
analysis_cause
string
required
suggested_fix
string | null
required
members
object[]
required